MagickCore: _ImageInfo Struct Reference

# _ImageInfo Struct Reference

`#include <image.h>`

## Data Fields
CompressionType | compression
OrientationType | orientation
MagickBooleanType | temporary
MagickBooleanType | adjoin
MagickBooleanType | affirm
MagickBooleanType | antialias
char * | size
char * | extract
char * | page
char * | scenes
unsigned long | scene
unsigned long | number_scenes
unsigned long | depth
InterlaceType | interlace
EndianType | endian
ResolutionType | units
unsigned long | quality
char * | sampling_factor
char * | server_name
char * | font
char * | texture
char * | density
double | pointsize
double | fuzz
PixelPacket | background_color
PixelPacket | border_color
PixelPacket | matte_color
MagickBooleanType | dither
MagickBooleanType | monochrome
unsigned long | colors
ColorspaceType | colorspace
ImageType | type
PreviewType | preview_type
long | group
MagickBooleanType | ping
MagickBooleanType | verbose
char * | view
char * | authenticate
ChannelType | channel
Image * | attributes
void * | options
MagickProgressMonitor | progress_monitor
void * | client_data
void * | cache
StreamHandler | stream
FILE * | file
void * | blob
size_t | length
char | magick [MaxTextExtent]
char | unique [MaxTextExtent]
char | zero [MaxTextExtent]
char | filename [MaxTextExtent]
MagickBooleanType | debug
char * | tile
unsigned long | subimage
unsigned long | subrange
PixelPacket | pen
unsigned long | signature
VirtualPixelMethod | virtual_pixel_method
PixelPacket | transparent_color
void * | profile

## Field Documentation

CompressionType _ImageInfo::compression

OrientationType _ImageInfo::orientation

MagickBooleanType _ImageInfo::temporary

MagickBooleanType _ImageInfo::adjoin

MagickBooleanType _ImageInfo::affirm

MagickBooleanType _ImageInfo::antialias

char* _ImageInfo::size

char * _ImageInfo::extract

char * _ImageInfo::page

char * _ImageInfo::scenes

unsigned long _ImageInfo::scene

unsigned long _ImageInfo::number_scenes

unsigned long _ImageInfo::depth

InterlaceType _ImageInfo::interlace

EndianType _ImageInfo::endian

ResolutionType _ImageInfo::units

unsigned long _ImageInfo::quality

char* _ImageInfo::sampling_factor

char * _ImageInfo::server_name

char * _ImageInfo::font

char * _ImageInfo::texture

char * _ImageInfo::density

double _ImageInfo::pointsize

double _ImageInfo::fuzz

PixelPacket _ImageInfo::background_color

PixelPacket _ImageInfo::border_color

PixelPacket _ImageInfo::matte_color

MagickBooleanType _ImageInfo::dither

MagickBooleanType _ImageInfo::monochrome

unsigned long _ImageInfo::colors

ColorspaceType _ImageInfo::colorspace

ImageType _ImageInfo::type

PreviewType _ImageInfo::preview_type

long _ImageInfo::group

MagickBooleanType _ImageInfo::ping

MagickBooleanType _ImageInfo::verbose

char* _ImageInfo::view

char * _ImageInfo::authenticate

ChannelType _ImageInfo::channel

Image* _ImageInfo::attributes

void* _ImageInfo::options

MagickProgressMonitor _ImageInfo::progress_monitor

void* _ImageInfo::client_data

void * _ImageInfo::cache

StreamHandler _ImageInfo::stream

FILE* _ImageInfo::file

void* _ImageInfo::blob

size_t _ImageInfo::length

char _ImageInfo::magick[MaxTextExtent]

char _ImageInfo::unique[MaxTextExtent]

char _ImageInfo::zero[MaxTextExtent]

char _ImageInfo::filename[MaxTextExtent]

MagickBooleanType _ImageInfo::debug

char* _ImageInfo::tile

unsigned long _ImageInfo::subimage

unsigned long _ImageInfo::subrange

PixelPacket _ImageInfo::pen

unsigned long _ImageInfo::signature

VirtualPixelMethod _ImageInfo::virtual_pixel_method

PixelPacket _ImageInfo::transparent_color

void* _ImageInfo::profile

The documentation for this struct was generated from the following file:

- image.h